Library Label Technology

GET /pcas/v1/library/technology

Using this API, you can list all technology IDs and names associated with the label ID.

Input ParametersInput Parameters

Parameter

Required/ Optional

Data Type

Description

Authorization Required String Enter the Bearer token.
labelId={value}
Optional Integer

Label ID for which associated technologies are to be displayed. 

If no label ID is specified, technology details associated with all labels are returned. 

Sample - List technology for a labelSample - List technology for a label

API Request

curl -X 'GET' '<qualys_base_url>/pcas/v1/library/technology?labelId=<labelId> '
-H 'accept: application/json'
-H 'Authorization: Bearer <AuthToken>

JSON Output

{
  "technologies": [
    {
      "technologyId": 346,
      "technologyName": "Debian GNU/Linux 11.x"
    },
    {
      "technologyId": 391,
      "technologyName": "ISC BIND 9.x"
    },
    {
      "technologyId": 78,
      "technologyName": "MariaDB 10.x"
    }
  ]
}


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.